View Issue Details

IDProjectCategoryView StatusLast Update
000745510000-020: File TransferSpecpublic2024-07-09 16:01
ReporterWolfgang Mahnke Assigned ToJeff Harding  
PrioritynormalSeverityminorReproducibilityhave not tried
Status assignedResolutionopen 
Product Version1.05.01 
Target Version1.05.05 RC1 
Summary0007455: TemporaryFileTransfer - StatusCodes for Methods
Description

In the TemporaryFileTransfer all Methods are defined mandatory, for reading and writing.

However, often a TenmporaryFile is read only or write only (see also 0007426).

It would be good if the spec
a) explicitly states this (at the moment the spec is silent on it) and
b) defines a reasonable StatusCode for it. Currently only Bad_UserAccessDenied is mentioned.

For CloseAndCommit another StatusCode should be defined, that is applied when the file was not opened for writing.

TagsNo tags attached.
Commit Version1.05.05 RC1
Fix Due Date2024-09-15

Relationships

related to 0007426 closedKarl Deiretsbacher 10000-007: Profiles Conformance Units for Temporary File Transfer 
related to 0009500 new Compliance Test Tool (CTT) Unified Architecture Push Model for ... / Err-007: Expected behavior for max # of certificates and StatusCode to return 

Activities

Wolfgang Mahnke

2021-12-08 11:16

developer   ~0015494

Possible StatusCodes:
GenerateFileForRead

  • BadNotReadable
  • BadInvalidArgument (if GenerateOptions cannot be applied)
  • BadInvalidState (if another client already does and restricted)

GenerateFileForWrite

  • BadNotWriteable
  • BadInvalidArgument (if GenerateOptions cannot be applied)
  • BadInvalidState (if another client already does and restricted)

CloseAndCommit

  • BadInvalidState

Jim Luth

2021-12-08 16:51

administrator   ~0015502

Also needs 1.04 Errata.

Paul Hunkar

2024-07-09 16:00

developer   ~0021431

Discussed in UA group that we should also include the code BadOutOfMemory - for write operations

Issue History

Date Modified Username Field Change
2021-12-08 09:58 Wolfgang Mahnke New Issue
2021-12-08 09:58 Wolfgang Mahnke Relationship added related to 0007426
2021-12-08 11:16 Wolfgang Mahnke Note Added: 0015494
2021-12-08 16:50 Jim Luth Project UA Specification => 10000-020: File Transfer
2021-12-08 16:51 Jim Luth Assigned To => Jeff Harding
2021-12-08 16:51 Jim Luth Status new => assigned
2021-12-08 16:51 Jim Luth Note Added: 0015502
2024-07-09 15:53 Jim Luth Relationship added related to 0009500
2024-07-09 16:00 Paul Hunkar Note Added: 0021431
2024-07-09 16:01 Jim Luth Target Version => 1.05.05 RC1
2024-07-09 16:01 Jim Luth Commit Version => 1.05.05 RC1
2024-07-09 16:01 Jim Luth Fix Due Date => 2024-09-15